%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define ClassName Date

Name:           php-pear-Date
Version:        1.4.6
Release:        1%{?dist}
Summary:        Date and Time Zone Classes

Group:          Development/Libraries
License:        BSD
URL:            http://pear.php.net/package/Date
Source0:        http://pear.php.net/get/%{ClassName}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
Requires:       php-pear(PEAR)
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{ClassName}) = %{version}

%description
Generic classes for representation and manipulation of dates, times and time
zones without the need of timestamps, which is a huge limitation for php
programs. Includes time zone data, time zone conversions and many date/time
conversions.  It does not rely on 32-bit system date stamps, so you can display
calendars and compare dates that date pre 1970 and post 2038. This package also
provides a class to convert date strings between Gregorian and Human calendar
formats.


%prep
%setup -q -c
[ -f package2.xml ] || mv package.xml package2.xml
mv package2.xml %{ClassName}-%{version}/%{ClassName}.xml
cd %{ClassName}-%{version}


%build
cd %{ClassName}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{ClassName}-%{version}
rm -rf $RPM_BUILD_ROOT docdir
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{ClassName}.xml

# Move documentation
mkdir -p docdir
mv $RPM_BUILD_ROOT%{pear_docdir}/* docdir

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{ClassName}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{ClassName}.xml >/dev/null ||:

%postun
if [ "$1" -eq "0" ]; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{ClassName} >/dev/null ||:
fi


%files
%defattr(-,root,root,-)
%doc %{ClassName}-%{version}/docdir/%{ClassName}/*
%{pear_xmldir}/%{ClassName}.xml
%{pear_testdir}/%{ClassName}
%{pear_phpdir}/%{ClassName}
%{pear_phpdir}/Date.php


%changelog
* Fri Jun 30 2006 Christopher Stone <chris.stone@gmail.com> 1.4.6-1
- Initial Release
